Subject: Re: [Patch net v2 2/4] selftests/tc-testing: Add a test case for pfifo_head_drop qdisc when limit==0

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Jan 2025 14:00:11 -0800

On Mon, 27 Jan 2025 20:25:09 -0800 Cong Wang wrote:
> > > Same problem as on v1:
> > >
> > > # Could not match regex pattern. Verify command output:
> > > # qdisc pfifo_head_drop 1: root refcnt 2 limit 0p
> > > #  Sent 0 bytes 0 pkt (dropped 0, overlimits 0 requeues 0)
> > > #  backlog 0b 0p requeues 0
> > >
> > > https://github.com/p4tc-dev/tc-executor/blob/storage/artifacts/966506/1-tdc-sh/stdout
> > >
> > > Did you run the full suite? I wonder if some other test leaks an
> > > interface with a 10.x network.  
> >
> > No, I only ran the tests shown above, I will run all the TDC tests.  
> 
> Hmm, I just got another error which prevents me from starting all the tests:
> 
> # -----> prepare stage *** Could not execute: "$TC qdisc replace dev
> $ETH handle 8001: parent root stab overhead 24 taprio num_tc 8 map 0 1
> 2 3 4 5 6 7 queues 1@0 1@1 1@2 1@3 1@4 1@5 1@6 1@7 base-time 0
> sched-entry S ff 20000000 flags 0x2"
> #
> # -----> prepare stage *** Error message: "Error: Device does not have
> a PTP clock.
> # "
> #
> # -----> prepare stage *** Aborting test run.
> 
> Let me see if I can workaround it before looking into it.

CC Pedro, in case he has cycles to take a look.